Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

List Voice Agents

GET
/voice/agents

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Query Parameters

page?integer
Default1
Range1 <= value <= 9007199254740991
limit?integer
Default20
Range1 <= value <= 100
filters?

Response Body

application/json

curl -X GET "https://samva.app/api/v1/voice/agents"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "name": "string",
      "description": "string",
      "transport": "webrtc",
      "systemPrompt": "string",
      "voiceId": "string",
      "language": "string",
      "webhookConfig": {
        "url": "http://example.com",
        "headers": {
          "property1": "string",
          "property2": "string"
        },
        "events": [
          "call.started"
        ]
      },
      "isActive": true,
      "workflowId": "43c4fa9b-0cbc-4b57-a121-9d7d46a3eaa4",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}